## ros-kinetic-swarm-functions 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(swarm_functions)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-swarm-functions (1.1.0-1xenial) xenial; urgency=high

  * Added: Package area_division
  * Added: Package coverage_path
  * Added: Package state_exchanger
  * Added: Package target_monitor
  * Changed: Renamed package swarm_kinematics_exchanger to kinematics_exchanger
  * Fixed task_allocation: Use frame ID in messages
  * Changed task_allocation: Use latched topics

 -- Micha Sende <sende@lakeside-labs.com>  Wed, 30 Oct 2019 23:00:00 -0000

ros-kinetic-swarm-functions (1.0.0-1xenial) xenial; urgency=high

  * Initial release
  * Based on the SAR demo at the M18 review of the CPSwarm project
  * Merged: Task assignment and compute cost into task allocation
  * Changed: Swarm kinematics exchanger extends position exchanger.

 -- Micha Sende <sende@lakeside-labs.com>  Tue, 10 Sep 2019 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-swarm-functions
Section: misc
Priority: optional
Maintainer: Micha Sende <sende@lakeside-labs.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/swarm_functions
Standards-Version: 3.9.2

Package: ros-kinetic-swarm-functions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-area-division, ros-kinetic-coverage-path, ros-kinetic-kinematics-exchanger, ros-kinetic-state-exchanger, ros-kinetic-target-monitor, ros-kinetic-task-allocation
Description: The swarm functions library provides simple functionalities that enable swarm algorithms to work.
 It is part of the swarm library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-swarm-functions//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
